package CalcularNetwork;


import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.imageio.ImageIO;
import javax.swing.*;


public class ciscoPacketTracer extends javax.swing.JFrame {
	BufferedImage img;
	JFrame frame = new JFrame();
	
	
	public void menu() {
		 String[] codigos = { "Habilitar reenvio de paquetes IPv6 (EAC2)", "Configurar switch (EAC3)", "Habilitar Seguridad Switch (EAC3)", "Crear Servidor DHCP (EAC4)", "Listas ACL Extensas (EAC4)" };
		
		 String comandosCisco = (String) JOptionPane.showInputDialog(frame, 
		        "Acciones sobre terminales cisco",
		        "EACs",
		        JOptionPane.QUESTION_MESSAGE, 
		        null, 
		        codigos, 
		        codigos[0]);

		    // favoritePizza will be null if the user clicks Cancel
		 
		    
		
		  if (comandosCisco.equals("Habilitar reenvio de paquetes IPv6 (EAC2)")) {
			  IPv6();
		  } else if (comandosCisco.equals("Configurar switch (EAC3)")) {
			  configurarSwith();
		  } else if (comandosCisco.equals("Habilitar Seguridad Switch (EAC3)")) {
			  habilitarSeguridad();
		  } else if (comandosCisco.equals("Crear Servidor DHCP (EAC4)")) {
			  servidorDHCP();
		  } else if (comandosCisco.equals("Listas ACL Extensas (EAC4)")) {
			  listasExtensasACL();
		  }
		  
		  //System.exit(0);
	}
	
	
	private void IPv6() {
		File imagen = new File("src/screenshots/ipv6.png");
		String titulo = "Habilitar enrutamiento IPv6";
		String[] descripcion = new String[6];
		descripcion[0]="=== Per habilitar l'encaminament (reenviament) paquets IPv6";
		descripcion[1]="R0(config)# ipv6 unicast-routing";
		descripcion[2]="=== Per configurar una adreça unicast global"; 
		descripcion[3]="R0(config-if)# ipv6 address 2001:AD01:1:1::1/64";
		descripcion[4]="=== Per configurar una adreça link-local";
		descripcion[5]="R0(config-if)# ipv6 address FE80::1 link-local";
		Fondo_JPanel(imagen,titulo,descripcion);
	}

	private void configurarSwith() {
		File imagen = new File("src/screenshots/enableSecret.png");
		String titulo = "Configurar Switch";
		String[] descripcion = new String[8];
		descripcion[0]="=== Configureu el nom de host de cada commutador.";
		descripcion[1]="Switch(config)#hostname SWL0";
		descripcion[2]="=== Establiu la clau «ioc21S1» d'accés a mode privilegiat. Aquesta clau ha d'estar xifrada. "; 
		descripcion[3]="SWL0(config)#enable secret ioc21S1";
		descripcion[4]="=== Assigneu la adreca 192.168.10.250/24 a la interfície virtual d'administració VLAN 1 de cada dispositiu i activeu-la.";
		descripcion[5]="SWL0(config)#interface vlan 1 - SWL0(config-if)#ip address 192.168.10.250 255.255.255.0 -  SWL0(config-if)#no shutdown ";
		descripcion[6]="=== Guardeu la configuració en execució al fitxer de configuració inicial.";
		descripcion[7]="SWL2A(config-if)#do wr";
		
		
		Fondo_JPanel(imagen,titulo,descripcion);
		
	}
	
	private void habilitarSeguridad() {
		File imagen = new File("src/screenshots/seguridad.png");
		String titulo = "Configurar seguridad puertos";
		String[] descripcion = new String[10];
		descripcion[0]="=== Cal permetre un màxim d’una adreça segura";
		descripcion[1]="SWL2A(config-if)#switchport port-security maximum 1";
		descripcion[2]="=== Afegir la MAC de SERVER10 a les adreces segures. "; 
		descripcion[3]="SWL2A(config-if)#switchport port-security mac-address 00D0.0010.0010";
		descripcion[4]="=== La política en cas de vulnerar la seguretat ha de ser «protect».";
		descripcion[5]="SWL2A(config-if)#switchport port-security violation protect";
		descripcion[6]="===Guardeu la configuració en execució al fitxer de configuració inicial.";
		descripcion[7]="SWL2A(config-if)#do wr";
		descripcion[8]="=== Consulteu l’estat de la seguretat del port configurat.";
		descripcion[9]="SWL2A#show port-security interface gigabitEthernet0/2";
		
		Fondo_JPanel(imagen,titulo,descripcion);
		
	}
	
	private void servidorDHCP() {
		
		File imagen = new File("src/screenshots/DHCP.png");
		String titulo = "Crear servidor DHCP en router";
		String[] descripcion = new String[10];
		descripcion[0]="=== El «pool» d’adreces s’anomena «TYRELL»";
		descripcion[1]="RTYRELL(config)#ip dhcp pool TYRELL";
		descripcion[2]="=== El rang d’adreces per les concessions és des de 140.14.15.0/24 fins a 140.14.16.255/24 ambdós incloses."; 
		descripcion[3]="RTYRELL(config)#ip dhcp excluded-address 140.14.0.1 140.14.14.255\n" + 
				"RTYRELL(config)#ip dhcp excluded-address 140.14.17.0 140.14.255.255";
		descripcion[4]="=== Cada concessió ha d’incloure també la porta d'enllaç de la xarxa";
		descripcion[5]="RTYRELL(dhcp-config)#default-router 140.14.0.1";
		descripcion[6]="=== el servidor de noms";
		descripcion[7]="RTYRELL(dhcp-config)#dns-server 4.4.4.4";
		descripcion[8]="=== Deseu la configuració a l’arxiu de configuració inicial.";
		descripcion[9]="RTYRELL# copy running-config startup-config ";
		
		Fondo_JPanel(imagen,titulo,descripcion);
	}
	
	private void listasExtensasACL() {
		File imagen = new File("src/screenshots/listasExtensasACL.png");
		String titulo = "Crear ACL lista extensas";
		String[] descripcion = new String[10];
		descripcion[0]="=== Han de poder fer PING (Protocol ICMP) a qualsevol destí";
		descripcion[1]="RSKYNET(config)#access-list 100 permit icmp 150.15.0.0 0.0.255.255 any\n" + 
				"RSKYNET(config)#access-list 100 permit icmp 150.15.0.0 0.0.255.255 any echo-reply";
		descripcion[2]="=== Han de poder fer comunicacions TCP a ports inferiors a 1025 a qualsevol destí."; 
		descripcion[3]="RSKYNET(config)#access-list 100 permit tcp 150.15.0.0 0.0.255.255 any lt 1025";
		descripcion[4]="=== Han de poder fer comunicacions DNS (UDP port 53) només al servidor DNS SERVER.";
		descripcion[5]="RSKYNET(config)#access-list 100 permit udp 150.15.0.0 0.0.255.255 host 4.4.4.4 eq domain";
		descripcion[6]="=== La resta de comunicacions s'han de denegar.";
		descripcion[7]="RSKYNET(config)#access-list 100 deny IP any any";
		descripcion[8]="=== Després de definir la llista d’accés, apliqueu-la a la interfície que cregueu oportuna i decidiu si s’ha d’aplicar d’entrada (IN) o de sortida (OUT) per la interfície.";
		descripcion[9]="RSKYNET(config)#int gig0/0\n" + 
				"RSKYNET(config-if)#ip access-group 100 in";
		
		Fondo_JPanel(imagen,titulo,descripcion);
	}
	
	private void resolucion() {

		Toolkit miPantalla = Toolkit.getDefaultToolkit();
		Dimension tamanoPantalla =miPantalla.getScreenSize();

		int ancho =tamanoPantalla.width;
		int alto = tamanoPantalla.height;

		//Sacar dimensiones de la mitad de ancho y alto de la pantalla.
		setSize(ancho/2,alto/1);
		//Buscar la mitad de la pantalla		
		setLocation(ancho/4,alto/4);

	}
	
	public void Fondo_JPanel(File imagen,String titulo, String[] descripcion) {
		 
		setTitle(titulo);
	
		
		//String label = "label";
		int posicion = 400;
		for (int i=0;i<descripcion.length;i++) {
			//label = label + i;
			
			JLabel label = new JLabel(descripcion[i]);
			label.setBounds(15,posicion,1000,30);
			add(label);
			posicion+=20;
		}
		
		
	
		add(new Insertar_Graficos());
						    
		setVisible(true);
		
		
		
		try {
			//Dentro del File ponemos la ruta exacta de nuestro archivo de imagen a cargar....
			img = ImageIO.read(imagen);
			
		} catch (IOException ex) {
			Logger.getLogger(ciscoPacketTracer.class.getName()).log(Level.SEVERE, null, ex);
		}
		//setSize(new Dimension(img.getWidth(), img.getHeight()));
		resolucion();

	}
	
	public class Insertar_Graficos extends JPanel{
		public void paint(Graphics g){
			
			super.paint(g);

			Graphics2D g2 = (Graphics2D) g;
			g2.drawImage(img, 10,10, this);

		}
	}


	@SuppressWarnings("unchecked")
	// <editor-fold defaultstate="collapsed" desc="Generated Code">
	private void initComponents() {
		
		setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
		/*addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseDragged(java.awt.event.MouseEvent evt) {
                formMouseDragged(evt);
            }
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                formMouseMoved(evt);
            }
        });
        addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                formMouseClicked(evt);
            }
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                formMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                formMouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                formMousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                formMouseReleased(evt);
            }
        });
        addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentMoved(java.awt.event.ComponentEvent evt) {
                formComponentMoved(evt);
            }
        });
        addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                formKeyPressed(evt);
            }
        });
        pack();
    }// </editor-fold>



    private void formMouseClicked(java.awt.event.MouseEvent evt) {
        System.out.println("Clicked");
    }
    private void formMousePressed(java.awt.event.MouseEvent evt) {
        System.out.println("Pulsando");
    }
    private void formMouseEntered(java.awt.event.MouseEvent evt) {
        System.out.println("Entrando en el Frame");
    }
    private void formMouseExited(java.awt.event.MouseEvent evt) {
        System.out.println("Saliendo del Frame");
    }
    private void formMouseReleased(java.awt.event.MouseEvent evt) {
        System.out.println("Soltando");
    }
    private void formComponentMoved(java.awt.event.ComponentEvent evt) {
        System.out.println("Moviendo Componente o Ventana");
    }
    private void formMouseMoved(java.awt.event.MouseEvent evt) {
        //System.out.println("Moviendo me dentro de la ventana-------");
    }
    private void formMouseDragged(java.awt.event.MouseEvent evt) {
        System.out.println("Pulsar y Arrastrando......");
    }
    private void formKeyPressed(java.awt.event.KeyEvent evt) {
        //La tecla que pulsemos dentro del Frame....
        System.out.print(evt.getKeyChar());
    }*/
		

	}
		

		// Variables declaration - do not modify                    
		// End of variables declaration                  
}	

